#!/bin/bash

. /serwer/serwer.conf

$IPTABLES -F -t mangle

# ruch przez IMQ
$IPTABLES -t mangle -A PREROUTING -i $EXTDEV -j IMQ --todev 0
$IPTABLES -t mangle -A PREROUTING -i $INTDEV1 -j IMQ --todev 1
$IPTABLES -t mangle -A POSTROUTING -o $INTDEV1 -j IMQ --todev 2
$IPTABLES -t mangle -A PREROUTING -i ppp+ -j IMQ --todev 1
$IPTABLES -t mangle -A POSTROUTING -o ppp+ -j IMQ --todev 2

##  MARKOWANIE PAKIETOW DO htbwan.sh

# sygnalizacja - SIP, GRY
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto sip -j CONNMARK --set-mark 2
$IPTABLES -A PREROUTING -t mangle -p udp -m length --length :400 -j MARK --set-mark 22
$IPTABLES -A PREROUTING -t mangle -m connmark --mark 2 -j CONNMARK --restore-mark

# interaktywne - VNC
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto vnc -j CONNMARK --set-mark 3

# standardowe - SHOUTCAST
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto shoutcast -j CONNMARK --set-mark 4
$IPTABLES -A PREROUTING -t mangle -m connmark --mark 4 -j CONNMARK --restore-mark

# lowprio - HTTP-VIDEO, FTP
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto httpvideo -j CONNMARK --set-mark 5
$IPTABLES -A PREROUTING -t mangle -p tcp --dport 20 -m layer7 --l7proto ftp -j CONNMARK --set-mark 5
$IPTABLES -A PREROUTING -t mangle -p tcp --dport 1024: -m layer7 --l7proto ftp -j CONNMARK --set-mark 5
$IPTABLES -A PREROUTING -t mangle -m connmark --mark 5 -j CONNMARK --restore-mark

# p2p
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto bittorrent -j CONNMARK --set-mark 7
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto directconnect -j CONNMARK --set-mark 7
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto edonkey -j CONNMARK --set-mark 7
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto fasttrack -j CONNMARK --set-mark 7
$IPTABLES -A PREROUTING -t mangle -m layer7 --l7proto gnutella -j CONNMARK --set-mark 7
$IPTABLES -A PREROUTING -t mangle -m connmark --mark 7 -j CONNMARK --restore-mark